Bug 236665

Summary: distro independant client fails to nfs mount ntfs-3g shares
Product: [Fedora] Fedora Reporter: Sean Buehler <skiingsean>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED WORKSFORME QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-04 08:40:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Sean Buehler 2007-04-16 21:52:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.6 (like Gecko)

Description of problem:
NFS shares of a ntfs-3g filesystem fail to mount on various clients.

Server:
Fedora Core release 6 (Zod)

Clients:
Gentoo Base System release 1.12.9
Fedora Core release 6 (Zod)

Attempting to mount the nfs share shows successful on the server yet the 
clients give permission denied.


Version-Release number of selected component (if applicable):
nfs-utils-1.0.10-5.fc6
 ntfs-3g-1.0-1.fc6
  

How reproducible:
Always


Steps to Reproduce:
1. Mount NTFS-3G parition, set up in /etc/exports, reset exports
2. Attempt to mount nfs share externaly 
3.

Actual Results:
reason given by server: Permission denied

Yet the server shows successful authentication

Expected Results:
successful nfs mount 

Additional info:
Comment 1 Steve Dickson 2007-04-25 14:42:10 EDT
Is there any errors being logged in /var/log/messages?
Comment 2 Sean Buehler 2007-04-28 01:21:58 EDT
Client:

dell skiingsean # mount -t nfs 192.168.1.101:/sean ./sean
mount: 192.168.1.101:/sean failed, reason given by server: Permission denied


Server

Only relevant line in messages:

Apr 28 00:18:29 home mountd[14244]: authenticated mount request from
192.168.1.105:678 for /sean (/sean)

Comment 3 Bug Zapper 2008-04-04 02:52:23 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers